package com.compumark.gradle.plugin.ivy;

import java.io.File;
import java.net.URL;

import org.gradle.api.Project;

public class IvyPluginConvention {

	final Project project;

	private URL ivySettingsURL;
	private File ivySettingsFile = new File("T:/Build/IvyRep/ivysettings.xml");
	
	private URL ivyURL;
	private File ivyFile = new File("T:/Build/IvyRep/ivysettings.xml");
	
	public IvyPluginConvention(Project project) {
		this.project = project;
		this.ivySettingsFile = new File(project.getRootDir(), "ivysettings.xml");
		this.setIvyFile(new File(project.getProjectDir(), "ivy.xml"));
	}
	
	public URL getIvySettingsURL() {
		return ivySettingsURL;
	}

	public void setIvySettingsURL(URL ivySettingsURL) {
		this.ivySettingsURL = ivySettingsURL;
	}	

	public File getIvySettingsFile() {
		return ivySettingsFile;
	}

	public void setIvySettingsFile(File ivySettingsFile) {
		this.ivySettingsFile = ivySettingsFile;
	}

	public URL getIvyURL() {
		return ivyURL;
	}

	public void setIvyURL(URL ivyURL) {
		this.ivyURL = ivyURL;
	}

	public File getIvyFile() {
		return ivyFile;
	}

	public void setIvyFile(File ivyFile) {
		this.ivyFile = ivyFile;
	}
}
